<?php if (count($errors)) { ?>
<p><img src="images/icons/shield-critical_16x16.png" alt="" style="margin-bottom: -3px" />
<strong>Failed to delete the following <?php count($errors); ?> <?php echo $input->obj_type ?> objects:</strong></p>
<table style="width: 100%;border-bottom: 1px solid #dcdcdc; border-collapse: collapse; border-spacing: 0px" class="zebra"><tr class='header'><td style='padding-left: 7px;'>Object</td><td style='padding-left:7px;'>Reason</td></tr>
<?php
foreach ($errors as $obj => $error) {
	print "<tr><td>$obj</td><td>$error</td></tr>";
}
?>
</table>
<?php
}

if (count($deleted_objects)) { ?>
<p><img src="images/icons/shield-ok_16x16.png" alt="" style="margin-bottom: -3px" />
<strong>Deleted the following <?php echo count($deleted_objects); ?> <?php echo $input->obj_type ?> objects:</strong></p>
<p>(If you messed up, remember that you can still click undo and try again)</p>

<ul>
<?php
foreach ($deleted_objects as $object) {
	echo "<li>$object</li>";
}
?>
</ul>
<?php
}

if (count($affected) > 1) {
?>
<p>Also deleted dependent objects:</p>
<ul>
<?php
foreach ($affected as $type => $count) {
	if ($type != $input->obj_type)
		echo "<li>$count {$type}s</li>";
}
?>
</ul>
<?php
}
?>
