<?php

/**
 * Widget for rendering a group of radiobuttons
 */
class Radio_Nacomawidget extends Base_Nacomawidget {
	function render($obj, $token, $value) {
		$options = $obj->properties['special'][$token];
		$obj_val = $value;
		$name = $this->get_id($obj, $token);
		
		$cur = $obj_val;

		echo "<table class=\"box-table\">\n";
		foreach($options as $opt => $opt_str) {
			echo "<tr>\n";
			printf("  <td class=\"radio\"><input type='radio' name='$name' %s value=\"".$opt."\" class=\"auto\" />\n",
					$opt === $cur ? "checked='checked'" : "");
			echo "  </td>\n";
			echo "  <td>$opt_str</td>\n</tr>";
		}
		echo "</table>\n";
	}

	static function validate($obj, $token, $value) {
		if (!isset($obj->properties['special'][$token][$value]))
			throw new widget_validation_exception('Requires one of '.join(',', $obj->properties['special'][$token]));
		return $value;
	}
}
